:root {
  --first-color: #007fe7;
  --second-color: #e2e2e2;
  --third-color: #00132c;
  --fourth-color: #014e8d;
  --fifth-color: #c4c4c4;
  --footer-color: #2ec4ff;

  --text-first-color: #303030;
  --text-second-color: #000000;
  --text-third-color: #fff;
  --text-fourth-color: #241102;
}

@font-face {
  font-family: "theme-font";
  src: url("../fonts/DMSans-Regular.woff2");
}

body {
  background: var(--second-color);
  color: var(--text-second-color);
}

#nprogress .bar {
  background: var(--fifth-color);
}

#nprogress .peg {
  box-shadow: 0 0 10px var(--fifth-color), 0 0 5px var(--fifth-color);
}

#nprogress .spinner-icon {
  border-top-color: var(--fifth-color);
  border-left-color: var(--fifth-color);
}

.btn-success {
  background-color: var(--fifth-color);
  border-color: var(--fifth-color);
  color: var(--text-second-color);
}

.btn-success:hover {
  background-color: var(--text-fourth-color);
  border-color: var(--text-fourth-color);
}

a {
  color: inherit;
  text-decoration: none;
}

.text-primary {
  color: var(--text-second-color) !important;
}

body {
  font-family: "theme-font" !important;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 700;
}

.navbar-theme,
.nav-bottom {
  background: linear-gradient(
    144deg,
    var(--text-first-color) 0%,
    var(--text-second-color) 70%,
    var(--text-first-color) 100%
  );
  color: var(--text-third-color);
  padding: 1.1rem;
  border-bottom: 1px solid var(--second-color);
}

.navbar-theme {
  background: var(--text-first-color);
  font-weight: 700;
}

.not-found-title {
  font-size: 15rem;
}

.nav-bottom {
  font-weight: 500;
}

.header-img {
  color: var(--second-color);
}

.title {
  font-size: 1.5rem;
  text-transform: uppercase;
}

.text-oth {
  font-size: 1.5rem;
  font-weight: bold;
}

.livedrawhead {
  font-size: 1.3rem;
  color: var(--fifth-color);
  background: var(--footer-color);
  text-transform: uppercase;
}

.icon-header-right {
  font-size: 3.6rem;
  border: 5px solid var(--text-third-color);
  border-radius: 100%;
  padding: 1.2rem;
  color: var(--text-third-color);
}

.para-header {
  padding: 0;
  margin: 0;
  margin-top: -1.6rem;
  font-weight: 500;
  font-size: 1.2rem;
}

.currency-counter {
  font-size: 2.2rem;
  font-weight: 600;
  display: flex;
  padding: 0;
  margin: 0;
  justify-content: center;
  text-align: center;
}

.infotab {
  background: var(--fifth-color);
  color: var(--text-first-color);
  padding: 2.3rem;
}

.overlay-header {
  background: rgba(24, 24, 24, 0.521);
  padding: 2.2rem;
  width: 100%;
  height: 200px;
}

.overlay-header h5 {
  font-size: 1.1rem;
}

.card-result {
  background: linear-gradient(
    203deg,
    var(--text-first-color) 0%,
    var(--text-second-color) 100%
  );
  padding: 2rem;
  border-radius: 0.5rem;
  color: var(--footer-color);
  border: 1px solid var(--second-color);
}

.card-result:hover {
  border-color: var(--fifth-color);
  cursor: pointer;
}

.head-result {
  margin-bottom: 0.9rem;
}

.head-result h3 {
  font-size: 1.4rem;
  color: var(--fifth-color);
}

.head-result h6 {
  font-size: 0.84rem;
  color: var(--fifth-color);
}

.btn-menu {
  font-size: 1.5rem;
  color: var(--fifth-color);
}

.foot-result {
  margin-top: 1.2rem;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
}

.foot-result h4 {
  font-size: 1.1rem;
  color: var(--fifth-color);
}

.show-results {
  border: 1px solid var(--fifth-color);
  padding: 0.6rem;
  border-radius: 0.4rem;
}

.show-results:hover {
  background: var(--second-color);
}

.show-results button {
  background: none;
  color: var(--fifth-color);
  border: none;
}

.show-results button:hover {
  color: var(--text-second-color);
}

.show-results button i {
  font-size: 0.7rem;
}

.prize-symbol {
  color: var(--fifth-color);
  border-radius: 100%;
  border: 2px solid var(--fifth-color);
  padding: 0.4rem 0.8rem;
}

.body-result {
  display: flex;
  flex-wrap: wrap;
  padding-bottom: 1rem;
  border-bottom: 1px solid var(--text-fourth-color);
  margin-bottom: 1rem;
  gap: 3rem;
  align-items: center;
  justify-content: space-between;
}

.ball-wrap {
  display: flex;
  align-items: center;
}

.ball {
  -ms-flex-pack: center;
  -ms-flex-align: center;
  align-items: center;
  background: var(--first-color);
  background-image: linear-gradient(
    180deg,
    var(--first-color),
    var(--fourth-color)
  );
  border: 1px solid var(--first-color);
  border-radius: 100%;
  color: var(--text-third-color);
  display: -ms-flexbox;
  display: flex;
  font-size: 21px;
  font-size: 1.1666667rem;
  font-weight: 700;
  height: 44px;
  justify-content: center;
  line-height: 1.1428571;
  text-align: center;
  width: 44px;
  margin-right: 0.3rem;
}

.ball:hover {
  cursor: pointer;
  background: var(--footer-color);
  color: var(--text-fourth-color);
}

.overlay-header h3 {
  font-weight: 700;
  font-size: 2rem;
}

.overlay-header h5 i {
  font-size: 0.9rem;
}

.list-navbar,
.list-nav-bottom,
.icon-social,
.icon-bank,
.mobile-menu {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

#mobile-menu {
  display: none;
  transition: max-height 0.3s ease;
}

.mobile-menu {
  margin-top: 0.6rem;
}

.mobile-menu li {
  margin-left: 1rem;
  margin-bottom: 0.7rem;
  padding-bottom: 1rem;
  border-bottom: 1px solid var(--fifth-color);
}

.list-navbar,
.list-nav-bottom,
.icon-social,
.icon-bank {
  display: flex;
  align-items: center;
  gap: 1.4rem;
}

.list-nav-bottom {
  justify-content: center;
}

.icon-social,
.icon-bank {
  justify-content: start;
  border-bottom: 1px solid var(--second-color);
  margin-bottom: 1rem;
  position: relative;
}

.icon-social li,
.icon-bank li {
  font-size: 2.8rem;
}

.icon-social li:hover,
.icon-bank li:hover {
  color: var(--first-color);
  cursor: pointer;
}

.icon-social li:last-child,
.icon-bank li:last-child {
  margin-right: 0;
}

.icon-bank li:last-child {
  position: absolute;
  right: 0;
  font-size: 0.8rem;
  top: -1.4rem;
}

.wla-footer {
  width: 7rem;
  max-width: 100%;
  display: block;
  margin-right: auto;
  margin-left: auto;
  filter: brightness(0) invert(1);
}

.list-navbar {
  justify-content: center;
}

.list-navbar li,
.list-nav-bottom li {
  font-size: 1.3rem;
}

.list-nav-bottom li {
  font-size: 1rem;
}

.list-navbar li:hover,
.list-nav-bottom li:hover {
  color: var(--first-color);
  cursor: pointer;
}

.logo {
  width: 14rem;
  display: block;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
}

.footer {
  border-top: 2px solid var(--text-second-color);
  background: var(--text-second-color);
  color: var(--text-third-color);
  padding: 3rem;
}

.logo-footer {
  width: 16rem;
  max-width: 100%;
}

.menu-footers {
  border-bottom: 1px dashed var(--second-color);
  margin-bottom: 2rem;
}

.menu-footers:hover {
  cursor: pointer;
  color: var(--footer-color);
  border-bottom: 1px solid var(--footer-color);
}

.menu-footers h3 {
  font-size: 1.1rem;
}

.menu-footers p {
  font-size: 0.8rem;
}

/*
Responsive Theme
/*

/* For Mobile Portrait View */
@media screen and (max-device-width: 480px) and (orientation: portrait) {
  .foot-result h4 {
    font-size: 0.8rem;
  }

  .overlay-header {
    height: 150px;
  }

  .head-result h3 {
    font-size: 1.1rem;
  }

  .head-result h6 {
    font-size: 0.79rem;
  }

  .head-result h6,
  .head-result h3 {
    text-align: center;
  }

  .logo-footer {
    display: block;
    margin-right: auto;
    margin-left: auto;
  }

  .footer {
    padding: 1.4rem;
  }

  .foot-result,
  .body-result {
    justify-content: center;
  }

  .body-result {
    gap: 1rem;
  }

  .icon-bank {
    flex-wrap: wrap;
  }

  .icon-bank li:last-child {
    position: relative;
  }

  .currency-counter {
    font-size: 1.4rem;
  }

  .title {
    font-size: 1.2rem;
  }

  .prize-symbol {
    padding: 0.1rem 0.4rem;
  }

  .list-nav-bottom {
    justify-content: start;
  }

  .logo {
    width: 12rem;
  }
}

/* For Mobile Landscape View */
@media screen and (max-device-width: 850px) and (orientation: landscape) {
}

/* For Mobile Phones Portrait or Landscape View */
@media screen and (max-device-width: 640px) {
}

.ql-container {
  box-sizing: border-box !important;
  font-family: Helvetica, Arial, sans-serif !important;
  font-size: 13px !important;
  height: 100% !important;
  margin: 0 !important;
  position: relative !important;
}
.ql-container.ql-disabled .ql-tooltip {
  visibility: hidden !important;
}
.ql-container:not(.ql-disabled) li[data-list="checked"] > .ql-ui,
.ql-container:not(.ql-disabled) li[data-list="unchecked"] > .ql-ui {
  cursor: pointer !important;
}
.ql-clipboard {
  left: -100000px !important;
  height: 1px !important;
  overflow-y: hidden !important;
  position: absolute !important;
  top: 50% !important;
}
.ql-clipboard p {
  margin: 0 !important;
  padding: 0 !important;
}

.ql-indent-1:not(.ql-direction-rtl) {
  padding-left: 3em !important;
}
li.ql-indent-1:not(.ql-direction-rtl) {
  padding-left: 4.5em !important;
}
.ql-indent-1.ql-direction-rtl.ql-align-right {
  padding-right: 3em !important;
}
li.ql-indent-1.ql-direction-rtl.ql-align-right {
  padding-right: 4.5em !important;
}
.ql-indent-2:not(.ql-direction-rtl) {
  padding-left: 6em !important;
}
li.ql-indent-2:not(.ql-direction-rtl) {
  padding-left: 7.5em !important;
}
.ql-indent-2.ql-direction-rtl.ql-align-right {
  padding-right: 6em !important;
}
li.ql-indent-2.ql-direction-rtl.ql-align-right {
  padding-right: 7.5em !important;
}
.ql-indent-3:not(.ql-direction-rtl) {
  padding-left: 9em !important;
}
li.ql-indent-3:not(.ql-direction-rtl) {
  padding-left: 10.5em !important;
}
.ql-indent-3.ql-direction-rtl.ql-align-right {
  padding-right: 9em !important;
}
li.ql-indent-3.ql-direction-rtl.ql-align-right {
  padding-right: 10.5em !important;
}
.ql-indent-4:not(.ql-direction-rtl) {
  padding-left: 12em !important;
}
li.ql-indent-4:not(.ql-direction-rtl) {
  padding-left: 13.5em !important;
}
.ql-indent-4.ql-direction-rtl.ql-align-right {
  padding-right: 12em !important;
}
li.ql-indent-4.ql-direction-rtl.ql-align-right {
  padding-right: 13.5em !important;
}
.ql-indent-5:not(.ql-direction-rtl) {
  padding-left: 15em !important;
}
li.ql-indent-5:not(.ql-direction-rtl) {
  padding-left: 16.5em !important;
}
.ql-indent-5.ql-direction-rtl.ql-align-right {
  padding-right: 15em !important;
}
li.ql-indent-5.ql-direction-rtl.ql-align-right {
  padding-right: 16.5em !important;
}
.ql-indent-6:not(.ql-direction-rtl) {
  padding-left: 18em !important;
}
li.ql-indent-6:not(.ql-direction-rtl) {
  padding-left: 19.5em !important;
}
.ql-indent-6.ql-direction-rtl.ql-align-right {
  padding-right: 18em !important;
}
li.ql-indent-6.ql-direction-rtl.ql-align-right {
  padding-right: 19.5em !important;
}
.ql-indent-7:not(.ql-direction-rtl) {
  padding-left: 21em !important;
}
li.ql-indent-7:not(.ql-direction-rtl) {
  padding-left: 22.5em !important;
}
.ql-indent-7.ql-direction-rtl.ql-align-right {
  padding-right: 21em !important;
}
li.ql-indent-7.ql-direction-rtl.ql-align-right {
  padding-right: 22.5em !important;
}
.ql-indent-8:not(.ql-direction-rtl) {
  padding-left: 24em !important;
}
li.ql-indent-8:not(.ql-direction-rtl) {
  padding-left: 25.5em !important;
}
.ql-indent-8.ql-direction-rtl.ql-align-right {
  padding-right: 24em !important;
}
li.ql-indent-8.ql-direction-rtl.ql-align-right {
  padding-right: 25.5em !important;
}
.ql-indent-9:not(.ql-direction-rtl) {
  padding-left: 27em !important;
}
li.ql-indent-9:not(.ql-direction-rtl) {
  padding-left: 28.5em !important;
}
.ql-indent-9.ql-direction-rtl.ql-align-right {
  padding-right: 27em !important;
}
li.ql-indent-9.ql-direction-rtl.ql-align-right {
  padding-right: 28.5em !important;
}
li.ql-direction-rtl {
  padding-right: 1.5em !important;
}
li.ql-direction-rtl > .ql-ui:before {
  margin-left: 0.3em !important;
  margin-right: -1.5em !important;
  text-align: left !important;
}
.ql-code-block-container {
  font-family: monospace !important;
}
.ql-video {
  display: block !important;
  max-width: 100% !important;
}
.ql-video.ql-align-center {
  margin: 0 auto !important;
}
.ql-video.ql-align-right {
  margin: 0 0 0 auto !important;
}
.ql-bg-black {
  background-color: #000 !important;
}
.ql-bg-red {
  background-color: #e60000 !important;
}
.ql-bg-orange {
  background-color: #f90 !important;
}
.ql-bg-yellow {
  background-color: #ff0 !important;
}
.ql-bg-green {
  background-color: #008a00 !important;
}
.ql-bg-blue {
  background-color: #06c !important;
}
.ql-bg-purple {
  background-color: #93f !important;
}
.ql-color-white {
  color: #fff !important;
}
.ql-color-red {
  color: #e60000 !important;
}
.ql-color-orange {
  color: #f90 !important;
}
.ql-color-yellow {
  color: #ff0 !important;
}
.ql-color-green {
  color: #008a00 !important;
}
.ql-color-blue {
  color: #06c !important;
}
.ql-color-purple {
  color: #93f !important;
}
.ql-font-serif {
  font-family: Georgia, Times New Roman, serif !important;
}
.ql-font-monospace {
  font-family: Monaco, Courier New, monospace !important;
}
.ql-size-small {
  font-size: 0.75em !important;
}
.ql-size-large {
  font-size: 1.5em !important;
}
.ql-size-huge {
  font-size: 2.5em !important;
}
.ql-direction-rtl {
  direction: rtl !important;
  text-align: inherit !important;
}
.ql-align-center {
  text-align: center !important;
}
.ql-align-justify {
  text-align: justify !important;
}
.ql-align-right {
  text-align: right !important;
}
.ql-ui {
  position: absolute !important;
}
.ql-editor.ql-blank::before {
  color: rgba(0, 0, 0, 0.6) !important;
  content: attr(data-placeholder) !important;
  font-style: italic !important;
  left: 15px !important;
  pointer-events: none !important;
  position: absolute !important;
  right: 15px !important;
}
.ql-snow.ql-toolbar:after,
.ql-snow .ql-toolbar:after {
  clear: both !important;
  content: "" !important;
  display: table !important;
}
.ql-snow.ql-toolbar button,
.ql-snow .ql-toolbar button {
  background: none !important;
  border: none !important;
  cursor: pointer !important;
  display: inline-block !important;
  float: left !important;
  height: 24px !important;
  padding: 3px 5px !important;
  width: 28px !important;
}
.ql-snow.ql-toolbar button svg,
.ql-snow .ql-toolbar button svg {
  float: left !important;
  height: 100% !important;
}
.ql-snow.ql-toolbar button:active:hover,
.ql-snow .ql-toolbar button:active:hover {
  outline: none !important;
}
.ql-snow.ql-toolbar input.ql-image[type="file"],
.ql-snow .ql-toolbar input.ql-image[type="file"] {
  display: none !important;
}
.ql-snow.ql-toolbar button:hover,
.ql-snow .ql-toolbar button:hover,
.ql-snow.ql-toolbar button:focus,
.ql-snow .ql-toolbar button:focus,
.ql-snow.ql-toolbar button.ql-active,
.ql-snow .ql-toolbar button.ql-active,
.ql-snow.ql-toolbar .ql-picker-label:hover,
.ql-snow .ql-toolbar .ql-picker-label:hover,
.ql-snow.ql-toolbar .ql-picker-label.ql-active,
.ql-snow .ql-toolbar .ql-picker-label.ql-active,
.ql-snow.ql-toolbar .ql-picker-item:hover,
.ql-snow .ql-toolbar .ql-picker-item:hover,
.ql-snow.ql-toolbar .ql-picker-item.ql-selected,
.ql-snow .ql-toolbar .ql-picker-item.ql-selected {
  color: #06c !important;
}
.ql-snow.ql-toolbar button:hover .ql-fill,
.ql-snow .ql-toolbar button:hover .ql-fill,
.ql-snow.ql-toolbar button:focus .ql-fill,
.ql-snow .ql-toolbar button:focus .ql-fill,
.ql-snow.ql-toolbar button.ql-active .ql-fill,
.ql-snow .ql-toolbar button.ql-active .ql-fill,
.ql-snow.ql-toolbar .ql-picker-label:hover .ql-fill,
.ql-snow .ql-toolbar .ql-picker-label:hover .ql-fill,
.ql-snow.ql-toolbar .ql-picker-label.ql-active .ql-fill,
.ql-snow .ql-toolbar .ql-picker-label.ql-active .ql-fill,
.ql-snow.ql-toolbar .ql-picker-item:hover .ql-fill,
.ql-snow .ql-toolbar .ql-picker-item:hover .ql-fill,
.ql-snow.ql-toolbar .ql-picker-item.ql-selected .ql-fill,
.ql-snow .ql-toolbar .ql-picker-item.ql-selected .ql-fill,
.ql-snow.ql-toolbar button:hover .ql-stroke.ql-fill,
.ql-snow .ql-toolbar button:hover .ql-stroke.ql-fill,
.ql-snow.ql-toolbar button:focus .ql-stroke.ql-fill,
.ql-snow .ql-toolbar button:focus .ql-stroke.ql-fill,
.ql-snow.ql-toolbar button.ql-active .ql-stroke.ql-fill,
.ql-snow .ql-toolbar button.ql-active .ql-stroke.ql-fill,
.ql-snow.ql-toolbar .ql-picker-label:hover .ql-stroke.ql-fill,
.ql-snow .ql-toolbar .ql-picker-label:hover .ql-stroke.ql-fill,
.ql-snow.ql-toolbar .ql-picker-label.ql-active .ql-stroke.ql-fill,
.ql-snow .ql-toolbar .ql-picker-label.ql-active .ql-stroke.ql-fill,
.ql-snow.ql-toolbar .ql-picker-item:hover .ql-stroke.ql-fill,
.ql-snow .ql-toolbar .ql-picker-item:hover .ql-stroke.ql-fill,
.ql-snow.ql-toolbar .ql-picker-item.ql-selected .ql-stroke.ql-fill,
.ql-snow .ql-toolbar .ql-picker-item.ql-selected .ql-stroke.ql-fill {
  fill: #06c !important;
}
.ql-snow.ql-toolbar button:hover .ql-stroke,
.ql-snow .ql-toolbar button:hover .ql-stroke,
.ql-snow.ql-toolbar button:focus .ql-stroke,
.ql-snow .ql-toolbar button:focus .ql-stroke,
.ql-snow.ql-toolbar button.ql-active .ql-stroke,
.ql-snow .ql-toolbar button.ql-active .ql-stroke,
.ql-snow.ql-toolbar .ql-picker-label:hover .ql-stroke,
.ql-snow .ql-toolbar .ql-picker-label:hover .ql-stroke,
.ql-snow.ql-toolbar .ql-picker-label.ql-active .ql-stroke,
.ql-snow .ql-toolbar .ql-picker-label.ql-active .ql-stroke,
.ql-snow.ql-toolbar .ql-picker-item:hover .ql-stroke,
.ql-snow .ql-toolbar .ql-picker-item:hover .ql-stroke,
.ql-snow.ql-toolbar .ql-picker-item.ql-selected .ql-stroke,
.ql-snow .ql-toolbar .ql-picker-item.ql-selected .ql-stroke,
.ql-snow.ql-toolbar button:hover .ql-stroke-miter,
.ql-snow .ql-toolbar button:hover .ql-stroke-miter,
.ql-snow.ql-toolbar button:focus .ql-stroke-miter,
.ql-snow .ql-toolbar button:focus .ql-stroke-miter,
.ql-snow.ql-toolbar button.ql-active .ql-stroke-miter,
.ql-snow .ql-toolbar button.ql-active .ql-stroke-miter,
.ql-snow.ql-toolbar .ql-picker-label:hover .ql-stroke-miter,
.ql-snow .ql-toolbar .ql-picker-label:hover .ql-stroke-miter,
.ql-snow.ql-toolbar .ql-picker-label.ql-active .ql-stroke-miter,
.ql-snow .ql-toolbar .ql-picker-label.ql-active .ql-stroke-miter,
.ql-snow.ql-toolbar .ql-picker-item:hover .ql-stroke-miter,
.ql-snow .ql-toolbar .ql-picker-item:hover .ql-stroke-miter,
.ql-snow.ql-toolbar .ql-picker-item.ql-selected .ql-stroke-miter,
.ql-snow .ql-toolbar .ql-picker-item.ql-selected .ql-stroke-miter {
  stroke: #06c !important;
}
@media (pointer: coarse) {
  .ql-snow.ql-toolbar button:hover:not(.ql-active),
  .ql-snow .ql-toolbar button:hover:not(.ql-active) {
    color: #444 !important;
  }
  .ql-snow.ql-toolbar button:hover:not(.ql-active) .ql-fill,
  .ql-snow .ql-toolbar button:hover:not(.ql-active) .ql-fill,
  .ql-snow.ql-toolbar button:hover:not(.ql-active) .ql-stroke.ql-fill,
  .ql-snow .ql-toolbar button:hover:not(.ql-active) .ql-stroke.ql-fill {
    fill: #444 !important;
  }
  .ql-snow.ql-toolbar button:hover:not(.ql-active) .ql-stroke,
  .ql-snow .ql-toolbar button:hover:not(.ql-active) .ql-stroke,
  .ql-snow.ql-toolbar button:hover:not(.ql-active) .ql-stroke-miter,
  .ql-snow .ql-toolbar button:hover:not(.ql-active) .ql-stroke-miter {
    stroke: #444 !important;
  }
}
.ql-snow {
  box-sizing: border-box !important;
}
.ql-snow * {
  box-sizing: border-box !important;
}
.ql-snow .ql-hidden {
  display: none !important;
}
.ql-snow .ql-out-bottom,
.ql-snow .ql-out-top {
  visibility: hidden !important;
}
.ql-snow .ql-tooltip {
  position: absolute !important;
  transform: translateY(10px) !important;
}
.ql-snow .ql-tooltip a {
  cursor: pointer !important;
  text-decoration: none !important;
}
.ql-snow .ql-tooltip.ql-flip {
  transform: translateY(-10px) !important;
}
.ql-snow .ql-formats {
  display: inline-block !important;
  vertical-align: middle !important;
}
.ql-snow .ql-formats:after {
  clear: both !important;
  content: "" !important;
  display: table !important;
}
.ql-snow .ql-stroke {
  fill: none !important;
  stroke: #444 !important;
  stroke-linecap: round !important;
  stroke-linejoin: round !important;
  stroke-width: 2 !important;
}
.ql-snow .ql-stroke-miter {
  fill: none !important;
  stroke: #444 !important;
  stroke-miterlimit: 10 !important;
  stroke-width: 2 !important;
}
.ql-snow .ql-fill,
.ql-snow .ql-stroke.ql-fill {
  fill: #444 !important;
}
.ql-snow .ql-empty {
  fill: none !important;
}
.ql-snow .ql-even {
  fill-rule: evenodd !important;
}
.ql-snow .ql-thin,
.ql-snow .ql-stroke.ql-thin {
  stroke-width: 1 !important;
}
.ql-snow .ql-transparent {
  opacity: 0.4 !important;
}
.ql-snow .ql-direction svg:last-child {
  display: none !important;
}
.ql-snow .ql-direction.ql-active svg:last-child {
  display: inline !important;
}
.ql-snow .ql-direction.ql-active svg:first-child {
  display: none !important;
}
.ql-snow h1 {
  font-size: 2em !important;
}
.ql-snow h2 {
  font-size: 1.5em !important;
}
.ql-snow h3 {
  font-size: 1.17em !important;
}
.ql-snow h4 {
  font-size: 1em !important;
}
.ql-snow h5 {
  font-size: 0.83em !important;
}
.ql-snow h6 {
  font-size: 0.67em !important;
}
.ql-snow a {
  text-decoration: underline !important;
}
.ql-snow blockquote {
  border-left: 4px solid #ccc !important;
  margin-bottom: 5px !important;
  margin-top: 5px !important;
  padding-left: 16px !important;
}
.ql-snow code,
.ql-snow .ql-code-block-container {
  background-color: #f0f0f0 !important;
  border-radius: 3px !important;
}
.ql-snow .ql-code-block-container {
  margin-bottom: 5px !important;
  margin-top: 5px !important;
  padding: 5px 10px !important;
}
.ql-snow code {
  font-size: 85% !important;
  padding: 2px 4px !important;
}
.ql-snow .ql-code-block-container {
  background-color: #23241f !important;
  color: #f8f8f2 !important;
  overflow: visible !important;
}
.ql-snow img {
  max-width: 100% !important;
}
.ql-snow .ql-picker {
  color: #444 !important;
  display: inline-block !important;
  float: left !important;
  font-size: 14px !important;
  font-weight: 500 !important;
  height: 24px !important;
  position: relative !important;
  vertical-align: middle !important;
}
.ql-snow .ql-picker-label {
  cursor: pointer !important;
  display: inline-block !important;
  height: 100% !important;
  padding-left: 8px !important;
  padding-right: 2px !important;
  position: relative !important;
  width: 100% !important;
}
.ql-snow .ql-picker-label::before {
  display: inline-block !important;
  line-height: 22px !important;
}
.ql-snow .ql-picker-options {
  background-color: #fff !important;
  display: none !important;
  min-width: 100% !important;
  padding: 4px 8px !important;
  position: absolute !important;
  white-space: nowrap !important;
}
.ql-snow .ql-picker-options .ql-picker-item {
  cursor: pointer !important;
  display: block !important;
  padding-bottom: 5px !important;
  padding-top: 5px !important;
}
.ql-snow .ql-picker.ql-expanded .ql-picker-label {
  color: #ccc !important;
  z-index: 2 !important;
}
.ql-snow .ql-picker.ql-expanded .ql-picker-label .ql-fill {
  fill: #ccc !important;
}
.ql-snow .ql-picker.ql-expanded .ql-picker-label .ql-stroke {
  stroke: #ccc !important;
}
.ql-snow .ql-picker.ql-expanded .ql-picker-options {
  display: block !important;
  margin-top: -1px !important;
  top: 100% !important;
  z-index: 1 !important;
}
.ql-snow .ql-color-picker,
.ql-snow .ql-icon-picker {
  width: 28px !important;
}
.ql-snow .ql-color-picker .ql-picker-label,
.ql-snow .ql-icon-picker .ql-picker-label {
  padding: 2px 4px !important;
}
.ql-snow .ql-color-picker .ql-picker-label svg,
.ql-snow .ql-icon-picker .ql-picker-label svg {
  right: 4px !important;
}
.ql-snow .ql-icon-picker .ql-picker-options {
  padding: 4px 0 !important;
}
.ql-snow .ql-icon-picker .ql-picker-item {
  height: 24px !important;
  width: 24px !important;
  padding: 2px 4px !important;
}
.ql-snow .ql-color-picker .ql-picker-options {
  padding: 3px 5px !important;
  width: 152px !important;
}
.ql-snow .ql-color-picker .ql-picker-item {
  border: 1px solid transparent !important;
  float: left !important;
  height: 16px !important;
  margin: 2px !important;
  padding: 0 !important;
  width: 16px !important;
}
.ql-snow .ql-picker:not(.ql-color-picker):not(.ql-icon-picker) svg {
  position: absolute !important;
  margin-top: -9px !important;
  right: 0 !important;
  top: 50% !important;
  width: 18px !important;
}
.ql-snow
  .ql-picker.ql-header
  .ql-picker-label[data-label]:not([data-label=""])::before,
.ql-snow
  .ql-picker.ql-font
  .ql-picker-label[data-label]:not([data-label=""])::before,
.ql-snow
  .ql-picker.ql-size
  .ql-picker-label[data-label]:not([data-label=""])::before,
.ql-snow
  .ql-picker.ql-header
  .ql-picker-item[data-label]:not([data-label=""])::before,
.ql-snow
  .ql-picker.ql-font
  .ql-picker-item[data-label]:not([data-label=""])::before,
.ql-snow
  .ql-picker.ql-size
  .ql-picker-item[data-label]:not([data-label=""])::before {
  content: attr(data-label) !important;
}
.ql-snow .ql-picker.ql-header {
  width: 98px !important;
}
.ql-snow .ql-picker.ql-header .ql-picker-label::before,
.ql-snow .ql-picker.ql-header .ql-picker-item::before {
  content: "Normal" !important;
}
.ql-snow .ql-picker.ql-header .ql-picker-label[data-value="1"]::before,
.ql-snow .ql-picker.ql-header .ql-picker-item[data-value="1"]::before {
  content: "Heading 1" !important;
}
.ql-snow .ql-picker.ql-header .ql-picker-label[data-value="2"]::before,
.ql-snow .ql-picker.ql-header .ql-picker-item[data-value="2"]::before {
  content: "Heading 2" !important;
}
.ql-snow .ql-picker.ql-header .ql-picker-label[data-value="3"]::before,
.ql-snow .ql-picker.ql-header .ql-picker-item[data-value="3"]::before {
  content: "Heading 3" !important;
}
.ql-snow .ql-picker.ql-header .ql-picker-label[data-value="4"]::before,
.ql-snow .ql-picker.ql-header .ql-picker-item[data-value="4"]::before {
  content: "Heading 4" !important;
}
.ql-snow .ql-picker.ql-header .ql-picker-label[data-value="5"]::before,
.ql-snow .ql-picker.ql-header .ql-picker-item[data-value="5"]::before {
  content: "Heading 5" !important;
}
.ql-snow .ql-picker.ql-header .ql-picker-label[data-value="6"]::before,
.ql-snow .ql-picker.ql-header .ql-picker-item[data-value="6"]::before {
  content: "Heading 6" !important;
}
.ql-snow .ql-picker.ql-header .ql-picker-item[data-value="1"]::before {
  font-size: 2em !important;
}
.ql-snow .ql-picker.ql-header .ql-picker-item[data-value="2"]::before {
  font-size: 1.5em !important;
}
.ql-snow .ql-picker.ql-header .ql-picker-item[data-value="3"]::before {
  font-size: 1.17em !important;
}
.ql-snow .ql-picker.ql-header .ql-picker-item[data-value="4"]::before {
  font-size: 1em !important;
}
.ql-snow .ql-picker.ql-header .ql-picker-item[data-value="5"]::before {
  font-size: 0.83em !important;
}
.ql-snow .ql-picker.ql-header .ql-picker-item[data-value="6"]::before {
  font-size: 0.67em !important;
}
.ql-snow .ql-picker.ql-font {
  width: 108px !important;
}
.ql-snow .ql-picker.ql-font .ql-picker-label::before,
.ql-snow .ql-picker.ql-font .ql-picker-item::before {
  content: "Sans Serif" !important;
}
.ql-snow .ql-picker.ql-font .ql-picker-label[data-value="serif"]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="serif"]::before {
  content: "Serif" !important;
}
.ql-snow .ql-picker.ql-font .ql-picker-label[data-value="monospace"]::before,
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="monospace"]::before {
  content: "Monospace" !important;
}
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="serif"]::before {
  font-family: Georgia, Times New Roman, serif !important;
}
.ql-snow .ql-picker.ql-font .ql-picker-item[data-value="monospace"]::before {
  font-family: Monaco, Courier New, monospace !important;
}
.ql-snow .ql-picker.ql-size {
  width: 98px !important;
}
.ql-snow .ql-picker.ql-size .ql-picker-label::before,
.ql-snow .ql-picker.ql-size .ql-picker-item::before {
  content: "Normal" !important;
}
.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="small"]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="small"]::before {
  content: "Small" !important;
}
.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="large"]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="large"]::before {
  content: "Large" !important;
}
.ql-snow .ql-picker.ql-size .ql-picker-label[data-value="huge"]::before,
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="huge"]::before {
  content: "Huge" !important;
}
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="small"]::before {
  font-size: 10px !important;
}
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="large"]::before {
  font-size: 18px !important;
}
.ql-snow .ql-picker.ql-size .ql-picker-item[data-value="huge"]::before {
  font-size: 32px !important;
}
.ql-snow .ql-color-picker.ql-background .ql-picker-item {
  background-color: #fff !important;
}
.ql-snow .ql-color-picker.ql-color .ql-picker-item {
  background-color: #000 !important;
}
.ql-code-block-container {
  position: relative !important;
}
.ql-code-block-container .ql-ui {
  right: 5px !important;
  top: 5px !important;
}
.ql-toolbar.ql-snow {
  border: 1px solid #ccc !important;
  box-sizing: border-box !important;
  font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif !important;
  padding: 8px !important;
}
.ql-toolbar.ql-snow .ql-formats {
  margin-right: 15px !important;
}
.ql-toolbar.ql-snow .ql-picker-label {
  border: 1px solid transparent !important;
}
.ql-toolbar.ql-snow .ql-picker-options {
  border: 1px solid transparent !important;
  box-shadow: rgba(0, 0, 0, 0.2) 0 2px 8px !important;
}
.ql-toolbar.ql-snow .ql-picker.ql-expanded .ql-picker-label {
  border-color: #ccc !important;
}
.ql-toolbar.ql-snow .ql-picker.ql-expanded .ql-picker-options {
  border-color: #ccc !important;
}
.ql-toolbar.ql-snow .ql-color-picker .ql-picker-item.ql-selected,
.ql-toolbar.ql-snow .ql-color-picker .ql-picker-item:hover {
  border-color: #000 !important;
}
.ql-toolbar.ql-snow + .ql-container.ql-snow {
  border-top: 0 !important;
}
.ql-snow .ql-tooltip {
  background-color: #fff !important;
  border: 1px solid #ccc !important;
  box-shadow: 0 0 5px #ddd !important;
  color: #444 !important;
  padding: 5px 12px !important;
  white-space: nowrap !important;
}
.ql-snow .ql-tooltip::before {
  content: "Visit URL:" !important;
  line-height: 26px !important;
  margin-right: 8px !important;
}
.ql-snow .ql-tooltip input[type="text"] {
  display: none !important;
  border: 1px solid #ccc !important;
  font-size: 13px !important;
  height: 26px !important;
  margin: 0 !important;
  padding: 3px 5px !important;
  width: 170px !important;
}
.ql-snow .ql-tooltip a.ql-preview {
  display: inline-block !important;
  max-width: 200px !important;
  overflow-x: hidden !important;
  text-overflow: ellipsis !important;
  vertical-align: top !important;
}
.ql-snow .ql-tooltip a.ql-action::after {
  border-right: 1px solid #ccc !important;
  content: "Edit" !important;
  margin-left: 16px !important;
  padding-right: 8px !important;
}
.ql-snow .ql-tooltip a.ql-remove::before {
  content: "Remove" !important;
  margin-left: 8px !important;
}
.ql-snow .ql-tooltip a {
  line-height: 26px !important;
}
.ql-snow .ql-tooltip.ql-editing a.ql-preview,
.ql-snow .ql-tooltip.ql-editing a.ql-remove {
  display: none !important;
}
.ql-snow .ql-tooltip.ql-editing input[type="text"] {
  display: inline-block !important;
}
.ql-snow .ql-tooltip.ql-editing a.ql-action::after {
  border-right: 0 !important;
  content: "Save" !important;
  padding-right: 0 !important;
}
.ql-snow .ql-tooltip[data-mode="link"]::before {
  content: "Enter link:" !important;
}
.ql-snow .ql-tooltip[data-mode="formula"]::before {
  content: "Enter formula:" !important;
}
.ql-snow .ql-tooltip[data-mode="video"]::before {
  content: "Enter video:" !important;
}
.ql-snow a {
  color: #06c !important;
}
.ql-container.ql-snow {
  border: 1px solid #ccc !important;
}
